Bug 10971 - Fixes for vfs_streams_xattr
Fixes for vfs_streams_xattr
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.2.0rc2
All All
: P5 regression
: 4.2
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 10077
  Show dependency treegraph
 
Reported: 2014-11-28 10:20 UTC by Ralph Böhme
Modified: 2014-12-07 19:29 UTC (History)
2 users (show)

See Also:


Attachments
git-am fix for 4.2, backport from master (4.23 KB, patch)
2014-11-28 10:20 UTC, Ralph Böhme
no flags Details
git-am fix for v4-2-test that went into master (4.32 KB, patch)
2014-11-28 10:32 UTC, Ralph Böhme
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2014-11-28 10:20:43 UTC
Created attachment 10467 [details]
git-am fix for 4.2, backport from master

vfs_streams_xattr fixes for 4.2 that are in master:
  
0001: I broke it, I fix it (hopefully), see the commit message for  
details. :/
  
0002: should be obvious
  
0003 adds a check for stream types that was missing which resulted in
a smb2.streams.names failure. The fix was shamelessly stolen from
vfs_streams_depot.
Comment 1 Ralph Böhme 2014-11-28 10:32:59 UTC
Created attachment 10468 [details]
git-am fix for v4-2-test that went into master
Comment 2 Jeremy Allison 2014-12-01 19:12:01 UTC
Comment on attachment 10468 [details]
git-am fix for v4-2-test that went into master

LGTM.
Comment 3 Jeremy Allison 2014-12-01 19:12:22 UTC
Re-assigning to Karolin for inclusion in 4.2.0rc3.
Comment 4 Karolin Seeger 2014-12-03 20:06:09 UTC
Pushed to autobuild-v4-2-test.
Comment 5 Karolin Seeger 2014-12-07 19:29:27 UTC
Pushed to v4-2-test.
Closing out bug report.

Thanks!